using System;
using System.Collections;
using System.Collections.Generic;
using System.Text;
using System.Data;
using Vevo;
using Vevo.Shared.DataAccess;

namespace Vevo.DataAccessLib.Cart
{
    public static class SearchLogAccess
    {
        public static void Create( string keyword, DateTime searchDate, bool isFound )
        {
            DataAccess.ExecuteNonQuery(
                "INSERT INTO SearchLog( Keyword, SearchDate, IsFound ) " +
                "VALUES ( @Keyword, @SearchDate, @IsFound )",
                DataAccess.CreateParameterString( keyword ),
                DataAccess.CreateParameterDateTime( searchDate ),
                DataAccess.CreateParameterBool( isFound ) );
        }

        public static void Create( string keyword, bool isFound )
        {
            DataAccess.ExecuteNonQuery(
                "INSERT INTO SearchLog( Keyword, IsFound ) " +
                "VALUES ( @Keyword, @IsFound );",
                DataAccess.CreateParameterString( keyword ),
                DataAccess.CreateParameterBool( isFound ) );
        }

        public static void DeleteAll()
        {
            DataAccess.ExecuteNonQuery( "DELETE FROM SearchLog" );
        }
    }
}
