using System;
using System.Collections.Generic;
using System.Text;

using Vevo.Domain.Marketing;
using Vevo.Domain.Stores;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface INewsLetterRepository
    {
        NewsLetter Create( NewsLetter newsLetter );
        NewsLetter Update( NewsLetter newsLetter, string newEmail,string newStoreID );
        bool DeleteEmail( string emailHash ,Store store);
        bool DeleteEmailNoHash( string emailName, Store store );
        bool DeleteEmailByStore( Store store );
        NewsLetter GetOne( string email, Store store );
        IList<NewsLetter> GetAll( string sortBy );
        IList<NewsLetter> GetAllByStore( Store store );
        IList<NewsLetter> SearchNewsletter(
            string sortBy,
            SearchFilter searchFilter,
            int startIndex,
            int endIndex,
            out int howManyItems );
        IList<TableSchemaItem> GetTableSchema();
    }
}
