using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Vevo.DataAccessLib;
using Vevo.Domain;
using Vevo.Domain.Configurations;
using Vevo.WebAppLib;
using Vevo;
using Vevo.Domain.Stores;

public partial class AdminAdvanced_Components_SiteSetup_WebsiteName : AdminAdvancedBaseUserControl
{
    public string CultureID
    {
        get
        {
            if (ViewState["CultureID"] == null)
                return String.Empty;
            else
                return (String) ViewState["CultureID"];
        }
        set { ViewState["CultureID"] = value; }
    }

    private Culture Culture
    {
        get { return DataAccessContext.CultureRepository.GetOne( CultureID ); }
    }

    private string StoreID
    {
        get
        {
            if (KeyUtilities.IsMultistoreLicense())
            {
                return MainContext.QueryString["StoreID"];
            }
            else
            {
                return Store.RegularStoreID;
            }
        }
    }

    private Store CurrentStore
    {
        get
        {
            return DataAccessContext.StoreRepository.GetOne( StoreID );
        }
    }

    public void PopulateControl()
    {
        uxWebsiteTitleText.Text = DataAccessContext.Configurations.GetValue( CultureID, "Title", CurrentStore );
        uxSiteNameText.Text = DataAccessContext.Configurations.GetValue( CultureID, "SiteName", CurrentStore );
        uxSiteDescriptionText.Text =
            DataAccessContext.Configurations.GetValue( CultureID, "SiteDescription", CurrentStore );
        uxSiteKeywordText.Text =
            DataAccessContext.Configurations.GetValue( CultureID, "Sitekeyword", CurrentStore );
    }

    public void Update()
    {
        DataAccessContext.ConfigurationRepository.UpdateValue(
            Culture,
            DataAccessContext.Configurations["SiteName"],
            uxSiteNameText.Text,
            CurrentStore );

        DataAccessContext.ConfigurationRepository.UpdateValue(
           Culture,
           DataAccessContext.Configurations["Title"],
           uxWebsiteTitleText.Text,
           CurrentStore );

        DataAccessContext.ConfigurationRepository.UpdateValue(
            Culture,
            DataAccessContext.Configurations["SiteDescription"],
            uxSiteDescriptionText.Text,
            CurrentStore );

        DataAccessContext.ConfigurationRepository.UpdateValue(
            Culture,
            DataAccessContext.Configurations["SiteKeyword"],
            uxSiteKeywordText.Text,
            CurrentStore );
    }

    protected void Page_Load( object sender, EventArgs e )
    {

    }
}
