using System;
using Vevo;
using Vevo.Domain;
using Vevo.WebUI;
using Vevo.Domain.Stores;
using System.Collections;
using System.Collections.Generic;
using Vevo.Domain.EmailTemplates;


public partial class AdminAdvanced_MainControls_EmailTemplateList : AdminAdvancedBaseUserControl
{
    private void PopulateControl()
    {
        Culture culture = DataAccessContext.CultureRepository.GetOne( CultureUtilities.DefaultCultureID );

        IList<EmailTemplateDetail> list = DataAccessContext.EmailTemplateDetailRepository.GetAll(
            culture, "EmailTemplateDetailName", new StoreRetriever().GetCurrentStoreID() );

        foreach (EmailTemplateDetail template in list)
        {
            if (template.EmailTemplateDetailName.Contains( "Gift Registry" ))
                list.Remove( template );
        }

        uxGrid.DataSource = list;
        uxGrid.DataBind();
    }

    protected void Page_Load( object sender, EventArgs e )
    {
        if (!MainContext.IsPostBack)
            PopulateControl();
    }
}
