using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Vevo;
using Vevo.Domain;
using Vevo.WebAppLib;

public partial class Components_QuickSearch : Vevo.WebUI.International.BaseLanguageUserControl
{
    private string _keywordText = "[$Search]";

    private void RegisterScript()
    {
        uxSearchText.Text = _keywordText;
        uxSearchText.Attributes.Add( "onblur", "javascript:if(this.value=='') this.value='" + _keywordText + "';" );
        uxSearchText.Attributes.Add( "onfocus", "javascript:if(this.value=='" + _keywordText + "') this.value='';" );
    }

    protected void Page_Load( object sender, EventArgs e )
    {
        WebUtilities.TieButton( this.Page, uxSearchText, uxSearchButton.FindControl( "uxLinkButton" ) );

        if (!DataAccessContext.Configurations.GetBoolValue( "SearchModuleDisplay" ))
            this.Visible = false;

        if (!IsPostBack)
        {
            RegisterScript();
            uxStartKeywordTextHidden.Value = _keywordText;
        }
    }

    protected void uxSearchButton_Click( object sender, EventArgs e )
    {
        string keyword = HttpUtility.UrlEncode( uxSearchText.Text );

        if (uxSearchText.Text == uxStartKeywordTextHidden.Value)
        {
            keyword = "";
        }

        Response.Redirect( "SearchResult.aspx?Search=" + keyword );
    }
}
