﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductDetailsDefault2.ascx.cs"
    Inherits="Layouts_ProductDetails_ProductDetailsDefault2" %>
<%@ Register Src="~/Components/QuantityDiscount.ascx" TagName="QuantityDiscount"
    TagPrefix="uc12" %>
<%@ Register Src="~/Components/GiftCertificateDetails.ascx" TagName="GiftCertificateDetails"
    TagPrefix="uc11" %>
<%@ Register Src="~/Components/AddtoWishListButton.ascx" TagName="AddtoWishListButton"
    TagPrefix="uc10" %>
<%@ Register Src="~/Components/AddtoCompareListButton.ascx" TagName="AddtoCompareListButton"
    TagPrefix="uc15" %>
<%@ Register Src="~/Components/Message.ascx" TagName="Message" TagPrefix="uc9" %>
<%@ Register Src="~/Components/StarRatingSummary.ascx" TagName="StarRatingSummary"
    TagPrefix="uc8" %>
<%@ Register Src="~/Components/CustomerReviews.ascx" TagName="CustomerReviews" TagPrefix="uc7" %>
<%@ Register Src="~/Components/RelatedProducts.ascx" TagName="RelatedProducts" TagPrefix="uc6" %>
<%@ Register Src="~/Components/RatingCustomer.ascx" TagName="RatingCustomer" TagPrefix="uc4" %>
<%@ Register Src="~/Components/RatingControl.ascx" TagName="RatingControl" TagPrefix="uc3" %>
<%@ Register Src="~/Components/ProductImage.ascx" TagName="ProductImage" TagPrefix="uc2" %>
<%@ Register Src="~/Components/OptionGroupDetails.ascx" TagName="OptionGroupDetails"
    TagPrefix="uc1" %>
<%@ Register Src="~/Components/CatalogImage.ascx" TagName="CatalogImage" TagPrefix="uc1" %>
<%@ Register Src="~/Components/DotLine.ascx" TagName="DotLine" TagPrefix="uc5" %>
<%@ Register Src="~/Components/RecurringSpecial.ascx" TagName="RecurringSpecial"
    TagPrefix="uc14" %>
<%@ Register Src="~/Components/AddThis.ascx" TagName="AddThis" TagPrefix="ucAddThis" %>
<%@ Register Src="~/Components/LikeButton.ascx" TagName="LikeButton" TagPrefix="ucLikeButton" %>
<%@ Register Src="~/Components/ProductSpecificationDetails.ascx" TagName="ProductSpecificationDetails"
    TagPrefix="ucProductSpecificationDetails" %>
<%@ Register Src="~/Components/ProductKitGroupDetails.ascx" TagName="ProductKitGroupDetails"
    TagPrefix="ucProductKitGroupDetails" %>
<%@ Register Src="~/Components/AddToCartNotification.ascx" TagName="AddToCartNotification"
    TagPrefix="uxAddToCartNotification" %>
<%@ Import Namespace="Vevo" %>
<%@ Import Namespace="Vevo.Domain" %>
<%@ Import Namespace="Vevo.Shared.Utilities" %>
<%@ Import Namespace="Vevo.WebAppLib" %>
<%@ Import Namespace="Vevo.WebUI" %>
<div class="ProductDetailsDefault2">
    <div class="ProductDetailsDefault2LikeButtonDiv">
        <ucLikeButton:LikeButton ID="uxLikeButton" runat="server" />
    </div>
    <div class="ProductDetailsDefault2TopSectionDiv">
        <div class="ProductDetailsDefault2NameDivLeft">
            <div class="ProductDetailsDefault2NameDivRight">
                <asp:Label ID="uxNameLabel" runat="server" Text='<%# Eval( "Name" ) %>' CssClass="ProductDetailsDefault2Name" /></div>
        </div>
        <p id="uxSkuNumberTR" runat="server" visible='<%# DataAccessContext.Configurations.GetBoolValue( "ShowSkuMode" ) %>'
            class="ProductDetailsDefault2SKUNumberParagraph">
            [$SkuNumber]:
            <asp:Label ID="uxSkuLabel" runat="server" Text='<%# Eval( "sku" ).ToString() %>' />
        </p>
        <div class="ProductDetailsDefault2ImageDiv">
            <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <table class="ProductDetailsDefault2ImageTable">
                        <tr>
                            <td class="ProductDetailsDefault2ImageColumn">
                                <div class="ProductDetailsImageRowOverlayArea">
                                    <uc2:ProductImage ID="uxCatalogImage" runat="server" MaximumWidth="300px" ProductID='<%# Eval( "ProductID" ) %>' />
                                </div>
                            </td>
                        </tr>
                    </table>
                    <asp:DataList ID="uxThumbnailDataList" runat="server" CssClass="ProductDetailsDefault2ImageThumbnailDataList"
                        RepeatDirection="Horizontal" RepeatColumns="4" CellSpacing="2">
                        <ItemTemplate>
                            <div class="ProductDetailsDefault2ImageThumbnailDataListItemDiv">
                                <asp:LinkButton ID="uxThumbBtn" runat="server" OnClick="uxThumbBtn_Click" CommandArgument='<%# Eval("ProductImageID").ToString() %>'
                                    ToolTip='<%# ImageTitleText(BindingContainer,Eval("ProductImageID").ToString()) %>'>
                                    <asp:Image ID="uxThumbImage" runat="server" ImageUrl='<%# ImageUrl(Eval("ThumbnailImage").ToString()) %>'
                                        Width="45px" /></asp:LinkButton>
                            </div>
                        </ItemTemplate>
                        <ItemStyle CssClass="ProductDetailsDefault2ImageThumbnailDataListItemStyle" />
                    </asp:DataList>
                </ContentTemplate>
            </asp:UpdatePanel>
            <div class="ProductDetailsDefault2ImageBottomButtonDiv">
                <div id="uxRatingCustomerDIV" runat="server" class="ProductDetailsRatingCustomerDiv">
                    <div class="ProductDetailsDefault2StarRatingCustomerDiv">
                        <uc4:RatingCustomer ID="uxRatingCustomer" runat="server" ProductID='<%# Eval( "ProductID" ) %>' />
                    </div>
                    <div class="ProductDetailsDefault2WriteReviewLinkDiv">
                        <asp:LinkButton ID="uxAddReviewButton" runat="server" Text="[$ReviewLink]" OnCommand="uxAddReviewButton_Command"
                            CommandArgument='<%#Vevo.UrlManager.GetCustomerReviewUrl( Eval( "ProductID" ).ToString(), Eval( "UrlName" ).ToString() ) %>' />
                    </div>
                    <div class="Clear">
                    </div>
                </div>
            </div>
            <div id="uxFreeShippingRow" runat="server" visible='<%# Convert.ToBoolean(Eval( "FreeShippingCost" ))%>'
                class="FreeShippingLabel">
                <asp:Label ID="uxFreeShippingText" runat="server" Text="[$FreeShippingIcon]" />
            </div>
            <uc12:QuantityDiscount ID="uxQuantityDiscount" runat="server" DiscountGroupID="<%# DiscountGroupID %>" />
        </div>
        <div class="ProductDetailsDefault2DetailsDiv">
            <div class="ProductDetailsDefault2PriceDetails">
                <div class="ProductDetailsDefault2PriceTop">
                    <div class="ProductDetailsDefault2PriceTopLeft">
                    </div>
                    <div class="ProductDetailsDefault2PriceTopRight">
                    </div>
                    <div class="Clear">
                    </div>
                </div>
                <div class="ProductDetailsDefault2PriceLeft">
                    <div class="ProductDetailsDefault2PriceRight">
                        <div id="uxRecurringDiv" runat="server" visible='<%# ConvertUtilities.ToBoolean( Eval("IsRecurring") ) %>'
                            class="ProductDetailsDefault2RecurringDiv">
                            <asp:Panel ID="uxRecurringPeriodTR" runat="server" Visible='<%# IsVisibilityRecurringPeriod() %>'
                                CssClass="ProductDetailsDefault2RecurringAmountEveryPanel">
                                <%#  "[$RecurringAmountEvery] " + ShowRecurringCycles()%>
                            </asp:Panel>
                            <uc14:RecurringSpecial ID="uxRecurringSpecial" runat="server" Visible='<%# IsAuthorizedToViewPrice(Eval( "IsCallForPrice" )) %>' />
                        </div>
                        <p id="uxCallForPriceTR" runat="server" visible='<%# IsCallForPrice( Eval( "IsCallForPrice" ) ) %>'
                            cssclass="ProductDetailsCallForPriceParagraph">
                            [$CallForPrice]
                        </p>
                        <p id="uxPriceP" runat="server" visible='<%# IsFixedPrice( Eval( "IsFixedPrice" ), Eval( "IsCustomPrice" ), Eval( "IsCallForPrice" ) ) && !IsDynamicProductKitPrice(BindingContainer) %>'
                            class="ProductDetailsDefault2OurPriceParagraph">
                            [$Our Price] :
                            <asp:Label ID="uxPriceLabel" runat="server" Text='<%# GetFormattedPriceFromContainer( BindingContainer ) %>' />
                            <asp:Label ID="uxTaxIncludeLabel" runat="server" Text="[$TaxIncluded]" CssClass="CommonValidateText"
                                Visible='<%# IsTaxInclude() %>' />
                        </p>
                        <p id="uxRetailPriceTR" runat="server" visible='<%# IsRetailPriceEnabled( Eval( "IsFixedPrice" ), Eval( "IsCustomPrice" ), GetRetailPrice( Eval( "ProductID" ) ), Eval( "IsCallForPrice" ) ) && !IsDynamicProductKitPrice(BindingContainer) %>'
                            class="ProductDetailsDefault2RetailPriceParagraph">
                            [$Retail Price] :
                            <asp:Label ID="uxRetailLabel" runat="server" Font-Strikeout="true" Text='<%# StoreContext.Currency.FormatPrice( GetRetailPrice( Eval( "ProductID" ) ) ) %>' />
                        </p>
                        <div class="ProductDetailsDefault2DescriptionShortDiv">
                            <asp:Label ID="uxShortDescriptionLabel" runat="server" Text='<%# Eval( "ShortDescription" ) %>'
                                CssClass="ProductDetailsDefault2DescriptionShortLabel" Visible='<%# !String.IsNullOrEmpty( String.Format( "{0}", Eval( "ShortDescription" ))) %>' />
                        </div>
                        <p id="uxRemainingQuantity" runat="server" visible='<%# ShowRemainingQuantity(Eval("UseInventory")) %>'
                            class="ProductDetailsDefault2RemainQuantityParagraph">
                            [$Remaining Quantity] :
                            <asp:Label ID="uxShowStockLabel" runat="server" Text='<%#RemainingStock(Eval("SumStock")) %>'></asp:Label>
                        </p>
                        <asp:Panel ID="uxRmaMessagePanel" runat="server" CssClass="ProductDetailsDefault2RmaPanel"
                            Visible="<%# IsRmaEmable() %>">
                            <asp:Label ID="uxRmaMessageLabel" runat="server" Text='<%# RmaMessage( Eval( "ReturnTime" ) ) %>' />
                        </asp:Panel>
                        <p class="ProductDetailsDefault2OutOfStockParagraph">
                            <asp:UpdatePanel ID="uxGiftCertificateUpdatePanel" runat="server" UpdateMode="Conditional">
                                <ContentTemplate>
                                    <uc11:GiftCertificateDetails ID="uxGiftCertificateDetails" runat="server" IsGiftCertificate='<%# Eval( "IsGiftCertificate" ) %>'
                                        ProductID='<%# Eval( "ProductID" ).ToString() %>' />
                                </ContentTemplate>
                                <Triggers>
                                    <asp:PostBackTrigger ControlID="uxAddToCartImageButton" />
                                </Triggers>
                            </asp:UpdatePanel>
                            <div class="ProductDetailsDefault2OptionDiv">
                                <asp:UpdatePanel ID="uxOptionGroupUpdatePanel" runat="server" UpdateMode="Conditional">
                                    <ContentTemplate>
                                        <uc1:OptionGroupDetails ID="uxOptionGroupDetails" runat="server" ProductID='<%# Eval( "ProductID" ) %>'>
                                        </uc1:OptionGroupDetails>
                                    </ContentTemplate>
                                    <Triggers>
                                        <asp:PostBackTrigger ControlID="uxAddToCartImageButton" />
                                    </Triggers>
                                </asp:UpdatePanel>
                            </div>
                        </p>
                        <div class="ProductDetailsDefault2Details">
                            <div class="ProductDetailsDefault2DetailsLeft">
                                <div id="uxCustomPriceDiv" runat="server" class="ProductDetailsDefault2CustomPriceDiv"
                                    visible='<%# Convert.ToBoolean(Eval ( "IsCustomPrice" ))%>'>
                                    <asp:Label ID="uxCustomPriceLabel" runat="server" CssClass="CustomPriceLabel">[$CustomPrice]</asp:Label>
                                    <asp:TextBox ID="uxEnterAmountText" runat="server" CssClass="CommonTextBox CustomPriceTextbox"
                                        MaxLength="10" Text='<%# GetAmountText( StoreContext.Currency.FormatPrice(Eval( "ProductCustomPrice.DefaultPrice" )) )%>' />
                                    <asp:RequiredFieldValidator ID="uxEnterAmountTextRequired" runat="server" Display="Dynamic"
                                        ControlToValidate="uxEnterAmountText" ValidationGroup="ValidOption" CssClass="CommonValidatorText ProductDetailsDefaultPriceValidatorText">
                                        <div class="CommonValidateDiv ProductDetailsDefaultPriceValidateDiv">
                                        </div>
                                        <img src="Images/Design/Bullet/RequiredFillBullet_Up.gif" /> Enter amount is required.
                                    </asp:RequiredFieldValidator>
                                    <asp:CompareValidator ID="uxEnterAmountTextCompare" runat="server" Display="Dynamic"
                                        ValueToCompare='<%#Convert.ToDouble( Eval( "ProductCustomPrice.MinimumPrice" ) )%>'
                                        Type="Double" Operator="GreaterThanEqual" ControlToValidate="uxEnterAmountText"
                                        ValidationGroup="ValidOption" CssClass="CommonValidatorText ProductDetailsDefaultPriceValidatorText">
                                        <div class="CommonValidateDiv ProductDetailsDefaultPriceValidateDiv">
                                        </div>
                                        <img src="Images/Design/Bullet/RequiredFillBullet_Up.gif" /> Enter amount must be equal or greater than minimum price.
                                    </asp:CompareValidator>
                                    <div id="uxCustomPriceNote" runat="server" class="CustomPriceNote" visible='<%# Convert.ToInt32(Eval( "ProductCustomPrice.MinimumPrice" ))>0?true:false%>'>
                                        <asp:Label ID="uxMinPriceLabel" runat="server" Text="[$MinimumPrice]" /><%# StoreContext.Currency.FormatPrice( Eval( "ProductCustomPrice.MinimumPrice" ) )%></div>
                                </div>
                                <div id="uxProductDetailsDefault2Quantity" runat="server" class="ProductDetailsDefault2QuantityDiv"
                                    visible='<%#VisibleQuantity( Convert.ToInt32( Eval( "SumStock" ) ), Convert.ToBoolean( Eval ( "UseInventory" ) ) ) %>'>
                                    <span id="uxQuantitySpan" runat="server" class="ProductDetailsDefault2QuantitySpan">
                                        [$Quantity]</span>
                                    <asp:TextBox ID="uxQuantityText" runat="server" Text='<%# Eval( "MinQuantity" )  %>'
                                        CssClass="CommonTextBox ProductDetailsDefault2QuantityText" />
                                </div>
                                <asp:RequiredFieldValidator ID="uxQuantityRequiredValidator" runat="server" ControlToValidate="uxQuantityText"
                                    ValidationGroup="ValidOption" Display="Dynamic" CssClass="CommonValidatorText ProductDetailsDefaultQuantityValidatorText">
                                    <div class="CommonValidateDiv ProductDetailsDefaultValidateDiv"></div>
                                    <img src="Images/Design/Bullet/RequiredFillBullet_Up.gif" /> Quantity is required.
                                </asp:RequiredFieldValidator>
                                <asp:CompareValidator ID="uxQuantityCompare" runat="server" ControlToValidate="uxQuantityText"
                                    Operator="GreaterThan" ValueToCompare="0" Type="Integer" ValidationGroup="ValidOption"
                                    Display="Dynamic" CssClass="CommonValidatorText ProductDetailsDefaultQuantityValidatorText">
                                    <div class="CommonValidateDiv ProductDetailsDefaultValidateDiv"></div>
                                    <img src="Images/Design/Bullet/RequiredFillBullet_Up.gif" /> Quantity is invalid.
                                </asp:CompareValidator>
                                <asp:UpdatePanel ID="uxMessageUpdatePanel" runat="server" UpdateMode="Conditional">
                                    <ContentTemplate>
                                        <div id="uxMessageDiv" runat="server" class="CommonValidatorText ProductDetailsDefaultQuantityValidatorText">
                                            <div class="CommonValidateDiv ProductDetailsDefaultValidateDiv">
                                            </div>
                                            <img src="Images/Design/Bullet/RequiredFillBullet_Up.gif" />
                                            <asp:Label ID="uxMessage" runat="server"></asp:Label>
                                        </div>
                                        <div class="ProductDetailsDefault4OutOfRangeQuantityParagraph">
                                            <div id="uxMessageMinQuantityDiv" runat="server" class="CommonValidatorText ProductDetailsDefaultQuantityValidatorText">
                                                <div class="CommonValidateDiv ProductDetailsDefaultValidateDiv">
                                                </div>
                                                <img src="Images/Design/Bullet/RequiredFillBullet_Up.gif" />
                                                <asp:Label ID="uxMinQuantityLabel" runat="server"></asp:Label>
                                            </div>
                                            <div id="uxMessageMaxQuantityDiv" runat="server" class="CommonValidatorText ProductDetailsDefaultQuantityValidatorText">
                                                <div class="CommonValidateDiv ProductDetailsDefaultValidateDiv">
                                                </div>
                                                <img src="Images/Design/Bullet/RequiredFillBullet_Up.gif" />
                                                <asp:Label ID="uxMaxQuantityLabel" runat="server"></asp:Label>
                                            </div>
                                        </div>
                                        <div id="uxMessageStockDiv" runat="server" class="CommonValidatorText" visible='<%# CatalogUtilities.IsOutOfStock( Convert.ToInt32( Eval( "SumStock" ) ) , Convert.ToBoolean(Eval("UseInventory"))) %>'>
                                            <asp:Label ID="uxStockLabel" runat="server" Text="[$This product is out of stock]"></asp:Label>
                                        </div>
                                    </ContentTemplate>
                                    <Triggers>
                                        <asp:PostBackTrigger ControlID="uxAddToCartImageButton" />
                                    </Triggers>
                                </asp:UpdatePanel>
                                <div class="ProductDetailsDefault2AddToCartLinkButton">
                                    <asp:LinkButton ID="uxAddToCartImageButton" runat="server" ValidationGroup="ValidOption"
                                        OnClick="uxAddToCartImageButton_Click" CssClass="BtnStyle1" Text="[$BtnAddToCart]"
                                        Visible='<%# IsAuthorizedToViewPrice() && !CatalogUtilities.IsOutOfStock( Convert.ToInt32( Eval( "SumStock" ) ) , Convert.ToBoolean(Eval("UseInventory"))) %>' />
                                </div>
                            </div>
                            <div class="DefaultButton">
                                <asp:LinkButton ID="uxTellFriend" runat="server" OnCommand="uxTellFriendButton_Command"
                                    CommandArgument='<%#Vevo.UrlManager.GetTellFriendUrl( Eval( "ProductID" ).ToString(), Eval( "UrlName" ).ToString() ) %>'
                                    CssClass="BtnStyle5 TellFriendLinkButton" Text="[$BtnTellFriend]" />
                                <uc10:AddtoWishListButton ID="uxAddtoWishListButton" runat="server" Visible='<%# !Convert.ToBoolean( Eval( "IsGiftCertificate" ) ) && 
                                    !CatalogUtilities.IsOutOfStock( Convert.ToInt32( Eval( "SumStock" ) ) , Convert.ToBoolean(Eval("UseInventory"))) && 
                                    !Convert.ToBoolean( Eval( "IsCustomPrice" ) ) && !Convert.ToBoolean( Eval( "IsCallForPrice" ) ) && !Convert.ToBoolean( Eval( "IsProductKit" ) ) %>'
                                    ValidationGroup="ValidOption" />
                                <uc15:AddtoCompareListButton ID="uxAddtoCompareListButton" Visible='<%# !Convert.ToBoolean( Eval( "IsProductKit" ) ) && !Convert.ToBoolean( Eval( "IsGiftCertificate" ) )  %>'
                                    runat="server" />
                                <asp:Panel ID="uxAddThisPanel" runat="server">
                                    <ucAddThis:AddThis ID="AddThis1" runat="server" />
                                </asp:Panel>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="ProductDetailsDefault2PriceBottom">
                    <div class="ProductDetailsDefault2PriceBottomLeft">
                    </div>
                    <div class="ProductDetailsDefault2PriceBottomRight">
                    </div>
                    <div class="Clear">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <asp:Panel ID="uxProductKitPanel" runat="server">
        <div id="uxProductKitDiv" runat="server" class="ProductDetailsDefault2KitDiv">
            <div class="ProductDetailsDefault2ProductKitTitle">
                    <asp:Label ID="uxProductKitTitle" runat="server">[$ProductKitTitle]</asp:Label>
                </div>
            <asp:UpdatePanel ID="uxProductKitUpdatePanel" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <ucProductKitGroupDetails:ProductKitGroupDetails ID="uxProductKitGroupDetails" runat="server"
                        ProductID='<%# Eval( "ProductID" ) %>'></ucProductKitGroupDetails:ProductKitGroupDetails>
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="uxAddToCartImageButton" />
                </Triggers>
            </asp:UpdatePanel>
        </div>
    </asp:Panel>
    <div id="uxRatingTabDIV" runat="server" class="ProductDetailsDefault2RatingDiv">
        <ajaxToolkit:TabContainer ID="uxTabContainerRating" runat="server" CssClass="ProductDetailsDefault2TabContainer">
            <ajaxToolkit:TabPanel ID="TabPanelProductDetails" runat="server" CssClass="ProductDetailsDefault2TabPanel">
                <ContentTemplate>
                    <div class="ProductDetailsDefault2DescriptionLongDiv">
                        <asp:Label ID="uxLongDescriptionLabel" runat="server" Text='<%# Eval( "LongDescription" ) %>'
                            CssClass="ProductDetailsDefault2DescriptionLongLabel" Visible='<%# !String.IsNullOrEmpty( String.Format( "{0}", Eval( "LongDescription" ))) %>' /></div>
                    <div class="ProductDetailsDefault2SpecificationDiv" id="uxProductSpecificationPanel"
                        runat="server">
                        <div class="ProductDetailsDefaultSpecificationTop">
                            <asp:Label ID="uxProductSpecificationLabel" runat="server" Text="[$ProductSpecification]"
                                CssClass="ProductDetailsDefault2SpecificationTopTitle"></asp:Label>
                        </div>
                        <div class="ProductDetailsDefaul2SpecificationDetailsDiv">
                            <ucProductSpecificationDetails:ProductSpecificationDetails ID="uxProductSpecificationDetails"
                                runat="server" ProductID='<%# Eval( "ProductID" ) %>' />
                        </div>
                    </div>
                </ContentTemplate>
                <HeaderTemplate>
                    <div>
                        [$ProductDetails]</div>
                </HeaderTemplate>
            </ajaxToolkit:TabPanel>
            <ajaxToolkit:TabPanel ID="TabPanelRelatedProduct" runat="server" CssClass="ProductDetailsDefault2TabPanel">
                <ContentTemplate>
                    <uc6:RelatedProducts ID="uxRelatedProducts" runat="server" />
                </ContentTemplate>
                <HeaderTemplate>
                    <div>
                        Related Products</div>
                </HeaderTemplate>
            </ajaxToolkit:TabPanel>
            <ajaxToolkit:TabPanel ID="uxTabPanelCustomerRating" runat="server" CssClass="ProductDetailsDefault2TabPanel">
                <ContentTemplate>
                    <div class="ProductDetailsDefault2CustomerReview">
                        <asp:LinkButton ID="uxWriteReviewLinkButton" runat="server" Text="[$ReviewLink1]"
                            OnCommand="uxAddReviewButton_Command" CommandArgument='<%#Vevo.UrlManager.GetCustomerReviewUrl( Eval( "ProductID" ).ToString(), Eval( "UrlName" ).ToString() ) %>'
                            CssClass="ProductDetailsDefault2RatingTopWrithReviewLinkButton" />
                        <div class="clear">
                        </div>
                        <uc8:StarRatingSummary ID="uxStarRatingSummary" runat="server" ProductID='<%# Eval( "ProductID" ) %>' />
                        <uc7:CustomerReviews ID="uxCustomerReviews" runat="server" />
                    </div>
                </ContentTemplate>
                <HeaderTemplate>
                    <div>
                        Customer Reviews</div>
                </HeaderTemplate>
            </ajaxToolkit:TabPanel>
        </ajaxToolkit:TabContainer>
    </div>
</div>
<uxAddToCartNotification:AddToCartNotification ID="uxAddToCartNotification" runat="server" />
