<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductListTableStyle.ascx.cs"
    Inherits="Layouts_ProductLists_ProductListTableStyle" %>
<%@ Register Src="~/Components/PagingControl.ascx" TagName="PagingControl" TagPrefix="uc3" %>
<%@ Register Src="~/Components/ItemsPerPageDrop.ascx" TagName="ItemsPerPageDrop"
    TagPrefix="uc2" %>
<%@ Register Src="Controls/ProductListItemTable.ascx" TagName="ProductListItemTable"
    TagPrefix="uc1" %>
<div class="ProductListDefault">
    <asp:UpdatePanel ID="uxProductListUpdate" runat="server" UpdateMode="Conditional"
        ChildrenAsTriggers="false">
        <ContentTemplate>
            <asp:Panel ID="uxPageControlTR" runat="server" CssClass="ProductListDefaultPageControlPanel">
                <div class="ProductListDefaultSortUpDown">
                    <asp:Label ID="uxTitleLabel" runat="server" CssClass="OptionControlTitle" Text="[$SortBy]" />
                    <asp:DropDownList ID="uxSortField" runat="server" CssClass="ProductItemDropSort"
                        OnSelectedIndexChanged="uxFieldSortDrop_SelectedIndexChanged" AutoPostBack="true">
                        <asp:ListItem Text="-" Value="SortOrder" />
                        <asp:ListItem Text="Name" Value="Name" />
                        <asp:ListItem Text="Price" Value="Price" />
                    </asp:DropDownList>
                    <div class="ProductItemIconSort">
                        <asp:LinkButton ID="uxSortUpLink" runat="server" OnClick="uxSortUpLink_Click">
                            <asp:Image ID="uxSortUpImage" runat="server" ImageUrl="~/Images/Design/Icon/SortUp.gif" /></asp:LinkButton>
                        <asp:LinkButton ID="uxSortDownLink" runat="server" OnClick="uxSortDownLink_Click">
                            <asp:Image ID="uxSortDownImage" runat="server" ImageUrl="~/Images/Design/Icon/SortDown.gif" /></asp:LinkButton></div>
                </div>
                <div class="ProductListDefaultItemPerPage">
                    <uc2:ItemsPerPageDrop ID="uxItemsPerPageControl" runat="server" PageListConfig="ProductItemsPerPage" />
                </div>
                <div class="Clear">
                </div>
            </asp:Panel>
            <asp:DataList ID="uxList" CssClass="ProductTableDataList" runat="server" RepeatColumns="1"
                CellPadding="0" CellSpacing="0" ShowFooter="False" RepeatDirection="Horizontal">
                <HeaderStyle CssClass="ProductListTableViewHeader" />
                <ItemStyle CssClass="ProductListTableViewItem" />
                <ItemTemplate>
                    <uc1:ProductListItemTable ID="uxItemTable" runat="server" />
                </ItemTemplate>
                <HeaderTemplate>
                    <table cellpadding="5" cellspacing="0" class="ProductListTableViewTopItem">
                        <tr>
                            <td class="Image">
                                <%# GetLanguageText("TableViewImage") %>
                            </td>
                            <td class="Name">
                                <%# GetLanguageText( "TableViewName" )%>
                            </td>
                            <td class="Sku">
                                <%# GetLanguageText( "TableViewStock" )%>
                            </td>
                            <td class="Price">
                                <%# GetLanguageText( "TableViewPrice" )%>
                            </td>
                            <td class="Button">
                                <%# GetLanguageText( "TableViewButton" )%>
                            </td>
                        </tr>
                    </table>
                </HeaderTemplate>
            </asp:DataList>
            <div id="uxMessageDiv" runat="server" class="CommonGridViewEmptyRowStyle ProductListTableViewEmpty"
                visible="false">
                <asp:Label ID="uxMessageLabel" runat="server" Font-Bold="true" />
            </div>
            <div class="ProductListDefaultPagingControl" id="uxTableViewPagingControl" runat="server">
                <asp:Label ID="uxItemCounLabel" runat="server" CssClass="ProductItemCountItemCount" />
                <div class="ProductLinkToTopDiv">
                    <asp:LinkButton ID="uxGoToTopLink" runat="server" CssClass="ProductLinkToTop" Text='<%# GetLanguageText( "GoToTop" ) %>' />
                </div>
                <div class="ProductItemPaging">
                    <uc3:PagingControl ID="uxPagingControl" runat="server" />
                </div>
            </div>
        </ContentTemplate>
        <Triggers>
            <asp:AsyncPostBackTrigger ControlID="uxSortField" />
            <asp:AsyncPostBackTrigger ControlID="uxSortUpLink" />
            <asp:AsyncPostBackTrigger ControlID="uxSortDownLink" />
            <asp:AsyncPostBackTrigger ControlID="uxItemsPerPageControl" />
            <asp:AsyncPostBackTrigger ControlID="uxPagingControl" />
        </Triggers>
    </asp:UpdatePanel>
    <asp:HiddenField ID="uxSortValueHidden" runat="server" />
</div>
